ch.qos.logback.core.pattern

## Class ReplacingCompositeConverter<E>

- java.lang.Object
- - ch.qos.logback.core.pattern.Converter<E>
  - - ch.qos.logback.core.pattern.FormattingConverter<E>
    - - ch.qos.logback.core.pattern.DynamicConverter<E>
      - - ch.qos.logback.core.pattern.CompositeConverter<E>
        - - ch.qos.logback.core.pattern.ReplacingCompositeConverter<E>

All Implemented Interfaces:
  ContextAware, LifeCycle

    public class ReplacingCompositeConverter<E>
    extends CompositeConverter<E>

### Field Summary

### Fields inherited from class ch.qos.logback.core.pattern.DynamicConverter

`started`

### Constructor Summary

Constructors
Constructor and Description
`ReplacingCompositeConverter()`

### Method Summary

Methods
`void` `start()` Components that depend on options passed during configuration can override this method in order to make appropriate use of those options.
`protected java.lang.String` `transform(E event, java.lang.String in)`

### Methods inherited from class ch.qos.logback.core.pattern.CompositeConverter

`convert, getChildConverter, setChildConverter, toString`

### Methods inherited from class ch.qos.logback.core.pattern.DynamicConverter

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getFirstOption, getOptionList, isStarted, setContext, setOptionList, stop`

### Methods inherited from class ch.qos.logback.core.pattern.FormattingConverter

`getFormattingInfo, setFormattingInfo, write`

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReplacingCompositeConverter

    public ReplacingCompositeConverter()

### Method Detail

#### start

    public void start()

Description copied from class: `DynamicConverter`
Components that depend on options passed during configuration can override this method in order to make appropriate use of those options. For simpler components, the trivial implementation found in this abstract class will be sufficient.

Specified by:
  `start` in interface `LifeCycle`
Overrides:
  `start` in class `DynamicConverter<E>`

#### transform

    protected java.lang.String transform(E event,
                             java.lang.String in)

Specified by:
  `transform` in class `CompositeConverter<E>`